/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * RandomNumberGenerator.cpp
 *
 *  Created on: Dec 31, 2010
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "RandomNumberDistribution.hpp"
#include "RandomNumberEngine.hpp"
#include "RandomNumberGenerator.hpp"

RandomNumberGenerator::RandomNumberGenerator() :
  engine_type(NULL),
  distribution_type(NULL)
{};

RandomNumberGenerator::~RandomNumberGenerator() {
  delete engine_type;
  delete distribution_type;
};

